Register a new agent
curl --request POST \
--url https://api.usehasp.com/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"default_expiry_hours": 360,
"description": "<string>",
"capabilities": [
"<string>"
],
"allowed_scope_types": []
}
'import requests
url = "https://api.usehasp.com/v1/agents"
payload = {
"name": "<string>",
"default_expiry_hours": 360,
"description": "<string>",
"capabilities": ["<string>"],
"allowed_scope_types": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
default_expiry_hours: 360,
description: '<string>',
capabilities: ['<string>'],
allowed_scope_types: []
})
};
fetch('https://api.usehasp.com/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"agent": [
"<unknown>"
]
}
}{
"success": false,
"error": {
"type": "authentication",
"code": "INVALID_API_KEY",
"message": "Bearer token is missing, malformed, or revoked.",
"param": null,
"details": null,
"retryable": false,
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
},
"meta": {
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
}
}{
"success": false,
"error": {
"type": "permission",
"code": "MISSING_SCOPE",
"message": "The caller is authenticated but lacks the scope or capability this route requires.",
"param": null,
"details": null,
"retryable": false,
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
},
"meta": {
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
}
}{
"message": "<string>",
"errors": {}
}Agents
Register a new agent
POST /v1/agents
POST
/
agents
Register a new agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
2 - 64Required range:
1 <= x <= 720Available options:
drain, kill Maximum string length:
500Maximum array length:
12Pattern:
^[a-z0-9][a-z0-9\-]{0,30}[a-z0-9]$Available options:
hasp.data.read, hasp.data.write, external.tool.invoke, tool.destructive, agent.delegate, agent.compose, human.escalate, workflow.schedule, workflow.invoke ⌘I